#include <bits/stdc++.h>

using namespace std;

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n;
    cin >> n;

    vector<int> v(n);
    for(auto &z : v) cin >> z;

    vector<int> pref(n - 1);

    for(int i = 0; i + 1 < n; ++i) {
        pref[i] = (v[i] <= v[i + 1]);
    }

    for(int i = 1; i < n - 1; ++i) {
        pref[i] += pref[i - 1];
    }

    int q;
    cin >> q;
    while(q--) {
        int l, r;
        cin >> l >> r;

        --l, --r;

        if(l == r) {
            cout << "DA" << '\n';
            continue;
        }

        int suma = pref[r - 1];
        if(l - 1 >= 0) suma -= pref[l - 1];

        int vece = (r - l + 1) - 2;
        cout << ((suma >= vece) ? "DA" : "NE") << '\n';
    }
}